Name: ncsh
Version: 0.4.6
Release: alt1
BuildArch: noarch

Summary: Connexion project: ncsh application
License: GPL
Group: Shells
Url: http://www.radlinux.org/connexion/wiki
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: %name.tar.gz

Requires: connexion-libs
Requires: connexion-modules-ncsh >= %version-alt1
Requires: connexion-modules-basedict >= %version-alt1
Requires: connexion-modules-events >= %version-alt1
Requires: connexion-interface-cli >= %version-alt1
Requires: connexion-interface-registrator >= %version-alt1

%description 
The Connexion project tries to implement both user and developer
friendly framework to create working environments by integrating
three major parts: services, modules and interfaces.

This application, ncsh, stands for Network Configurator and Shell.

%prep
%setup -q -c %name-%version-%release

%build

%install
make install \
	etc=%buildroot/%_sysconfdir \
	usr=%buildroot/%_bindir     \
	doc=%buildroot/%_docdir     \
	man=%buildroot/%_man8dir    \
	run=%buildroot/%_var/run    \
	init=%buildroot/%_initdir

%files
%_bindir/%name

%dir               %_sysconfdir/connexion
%dir               %_var/run/connexion
%config(noreplace) %_sysconfdir/connexion/acl
%config(noreplace) %_sysconfdir/connexion/config

%_initdir/%name
%_docdir/%name
%_man8dir/*

%changelog
* Sun Mar 23 2008 Peter V. Saveliev <peet@altlinux.org> 0.4.6-alt1
- revision 1189:
	* (service) use `reload` to apply changes only
	* (cli) intercept `-h` and append own help

* Thu Oct 25 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt9
- revision 953:
	* license moved to docs package
	* non-persistent mode removed
	* ncsh(8) man page added

* Thu Oct 25 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt8
- revision 928:
	* l7-filter support
	* runtime interfaces autoreconf

* Sat Oct 20 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt7
- revision 918:
	* netlink fixes for x86_64
	* netlink link events support
	* core fixes (parameters parsing)

* Fri Oct 19 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt6
- revision 908:
	* event handlers

* Wed Oct 10 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt5
- revision 857:
	* deps update
	* force PATH env variable at service start

* Fri Oct 05 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt4
- revision 847:
	* use `.source` instead of `backup restore`
	* correct RETVAL in startup

* Fri Sep 28 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt3
- revision 834:
	* pass arguments to connexion-cli
	* deps corrected

* Sat Sep 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt2
- fixes to reflect new cli behaviour

* Sat Sep 08 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt1
- first 0.4.4 build

* Tue Jun 26 2007 Peter V. Saveliev <peet@altlinux.ru> 0.1-alt5
- cleanup before start
- setup a hostname before start (cause of mx.UID)

* Thu Jun 21 2007 Peter V. Saveliev <peet@altlinux.org> 0.1-alt4
- typo in the service (+ -s $register)

* Wed Jun 20 2007 Peter V. Saveliev <peet@altlinux.org> 0.1-alt3
- ACL registration support

* Mon Jun 18 2007 Peter V. Saveliev <peet@altlinux.org> 0.1-alt2
- requires connexion-modules

* Mon Jun 18 2007 Peter V. Saveliev <peet@altlinux.ru> 0.1-alt1
- first version
